/*
 * $Id: image_point_t.c 173 2006-09-25 14:41:43Z csl $
 *
 * Copyright (C) 2006 Christian Stigen Larsen <csl@sublevel3.org>
 * http://csl.sublevel3.org
 *
 * Distributed under the GNU General Public License v2.
 *
 */

#include "image_point_t.h"

const image_point_t zero_point =
	#ifdef ENABLE_CAIRO
	0.0;
	#endif

	#ifdef ENABLE_GD
	0;
	#endif

const image_points_t zero_points =
	#ifdef ENABLE_CAIRO
	{0.0f, 0.0f};
	#endif

	#ifdef ENABLE_GD
	{0, 0};
	#endif

void image_reset_point(image_point_t *p) {
        *p = zero_point;
}

void image_reset_points(image_points_t *p) {
	*p = zero_points;
}
