/*
 * $Id: image_point_t.h 173 2006-09-25 14:41:43Z csl $
 *
 * Copyright (C) 2006 Christian Stigen Larsen <csl@sublevel3.org>
 * http://csl.sublevel3.org
 *
 * Distributed under the GNU General Public License v2.
 *
 */

#ifndef INC_IMAGE_POINT_T_H
#define INC_IMAGE_POINT_T_H

#include "a2png.h"

typedef
	#ifdef ENABLE_CAIRO
	double
	#endif

	#ifdef ENABLE_GD
	int
	#endif

	image_point_t;

typedef struct image_points_t {
	image_point_t x;
	image_point_t y;
} image_points_t;

extern const image_point_t zero_point;
extern const image_points_t zero_points;

void image_reset_point(image_point_t *p);
void image_reset_points(image_points_t *p);

#endif
