/*
 * $Id: parse.h 186 2006-10-05 13:19:42Z csl $
 *
 * Copyright (C) 2006 Christian Stigen Larsen <csl@sublevel3.org>
 * http://csl.sublevel3.org
 *
 * Distributed under the GNU General Public License v2.
 *
 */

#include "a2png.h"
#include "rgb_t.h"
#include "image_point_t.h"
#include "image.h"
#include "options_t.h"
#include "engine_t.h"

void scan_rgb(const char* format_rrggbb_hex, rgb_t* color);
void parse_text(engine_t *en, FILE *f, image_point_t *xmax, image_point_t *ymax, char firstchar_or_zero);
void parse_html(engine_t *en, FILE *f, const options_t * const p, image_point_t *xmax, image_point_t *ymax);
